---
title: NavigatorPlugins.mimeTypes
slug: Web/API/NavigatorPlugins/mimeTypes
tags:
  - API
  - Property
  - Reference
---
<div>{{ ApiRef("HTML DOM") }}</div>

<p>Returns a {{domxref("MimeTypeArray")}} object, which contains a list of {{domxref("MimeType")}} objects representing the MIME types recognized by the browser.</p>

<div class="note">
<p><strong>Note</strong>: Named properties of {{domxref("MimeTypeArray")}} objects are no longer enumerable in the latest browser versions.</p>
</div>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <var>mimeTypes</var>[] = navigator.mimeTypes;
</pre>

<p><code>mimeTypes</code> is a <code>MimeTypeArray</code> object which has a <code>length</code> property as well as <code>item(index)</code> and <code>namedItem(name)</code> methods.</p>

<h2 id="Example">Example</h2>

<pre class="brush:js">function isJavaPresent() {
  return 'application/x-java-applet' in navigator.mimeTypes;
}

function getJavaPluginDescription() {
  var mimetype = navigator.mimeTypes['application/x-java-applet'];
  if (mimetype === undefined) {
    // no Java plugin present
    return undefined;
  }
  return mimetype.enabledPlugin.description;
}
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
	<thead>
		<tr>
			<th scope="col">Specification</th>
			<th scope="col">Status</th>
			<th scope="col">Comment</th>
		</tr>
	</thead>
	<tbody>
		<tr>
			<td>{{SpecName('HTML WHATWG', '#dom-navigator-mimetypes', 'NavigatorPlugins.mimeTypes')}}</td>
			<td>{{Spec2('HTML WHATWG')}}</td>
			<td>Initial definition.</td>
		</tr>
	</tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.NavigatorPlugins.mimeTypes")}}</p>
